TARGET = gstmediaplayer

PLUGIN_TYPE = mediaservice
PLUGIN_CLASS_NAME = QGstreamerPlayerServicePlugin
load(qt_plugin)

include(../common.pri)

INCLUDEPATH += $$PWD
INCLUDEPATH += $(GCCSDK_INSTALL_ENV)/include/gstreamer-0.10
INCLUDEPATH += $(GCCSDK_INSTALL_ENV)/include/glib-2.0
INCLUDEPATH += $(GCCSDK_INSTALL_ENV)/include/libxml2
INCLUDEPATH += $(GCCSDK_INSTALL_ENV)/lib/glib-2.0/include

HEADERS += \
    $$PWD/qgstreamerplayercontrol.h \
    $$PWD/qgstreamerplayerservice.h \
    $$PWD/qgstreamerplayersession.h \
    $$PWD/qgstreamerstreamscontrol.h \
    $$PWD/qgstreamermetadataprovider.h \
    $$PWD/qgstreameravailabilitycontrol.h \
    $$PWD/qgstreamerplayerserviceplugin.h

SOURCES += \
    $$PWD/qgstreamerplayercontrol.cpp \
    $$PWD/qgstreamerplayerservice.cpp \
    $$PWD/qgstreamerplayersession.cpp \
    $$PWD/qgstreamerstreamscontrol.cpp \
    $$PWD/qgstreamermetadataprovider.cpp \
    $$PWD/qgstreameravailabilitycontrol.cpp \
    $$PWD/qgstreamerplayerserviceplugin.cpp

OTHER_FILES += \
    mediaplayer.json
